# Trimmer Accessories & Replacement Parts

Keep your grooming tools performing at their best with our range of trimmer accessories and replacement parts. This collection includes essential items such as replacement blades, adjustable combs, charging cables, maintenance oil, cleaning brushes, and scissors.

All products are designed to be compatible with a wide range of grooming devices, including Hatteker models, ensuring reliable performance and a perfect fit.

Whether you need to replace worn parts or maintain your equipment, these accessories help extend the lifespan of your trimmer and ensure consistent, precise results every time.

✔ Compatible with multiple trimmer models    
✔ Easy to install and use    
✔ Durable and reliable materials    
✔ Ideal for maintenance and replacement  

Upgrade your grooming routine with practical accessories designed for everyday use.

## Products in this collection

- [Hatteker RFC-690 Comb Set 7 Pcs – Adjustable Guide Guards for Hair Clipper](https://www.hatteker.co.uk/products/hatteker-rfc-690-comb-set-7pcs) - 15.99 GBP
- [HATTEKER Replacement  Blade Ceramic Cutter For Hatteker Clipper RFC-690](https://www.hatteker.co.uk/products/hatteker-rfc-690-blade-cutter) - 9.99 GBP
- [HATTEKER Replacement Comb Set rfc-69031 Set 8 Pcs Guide Adjustable Limit For Hatteker Trimmer RFC-69031](https://www.hatteker.co.uk/products/hatteker-replacement-comb-set-rfc-69031) - 16.98 GBP
- [HATTEKER Adjustable Replacement Comb for RFC-588 – Precision Trimmer Guard (Small & Medium Only)](https://www.hatteker.co.uk/products/hatteker-rfc-588-adjustable-comb-precision-trimmer) - 12.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB  RFC 690](https://www.hatteker.co.uk/products/replacement-rfc-69031) - 8.99 GBP
- [Hatteker RFC-692A Replacement Comb Set 7PCS – Adjustable Guide Guards for Precision Trimming](https://www.hatteker.co.uk/products/hatteker-rfc-692a-replacement-comb-set-7pcs) - 13.99 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-9598A/7568](https://www.hatteker.co.uk/products/hatteker-replacement-head-rscx-9598a-7568) - 15.55 GBP
- [HATTEKER RFC-588 Replacement Comb Set 5 PCS – Adjustable Guide Combs for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-comb-set-5pcs-replacement) - 15.99 GBP
- [HATTEKER Large Precision Trimmer Head RFC-588 – Micro Shaver Replacement Attachment Wide Grooming Blade](https://www.hatteker.co.uk/products/hatteker-rfc-588-large-precision-trimmer-head) - 12.99 GBP
- [Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 690](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-rfc-69001) - 8.99 GBP
- [Hatteker USB Charger for RFC-588 – Fast Charging Cable Replacement for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-usb-charger-cable-replacement) - 11.99 GBP
- [HATTEKER Replacement Blade Hatteker RSCX-9598](https://www.hatteker.co.uk/products/replacement-blade-hatteker-rscx-9598) - 11.99 GBP
- [HATTEKER Adjustable Guide Comb for RFC-598 – Replacement Limit Comb Attachment for Precision Hair Length Control](https://www.hatteker.co.uk/products/hatteker-rfc-598-adjustable-guide-comb-replacement) - 11.99 GBP
- [Hatteker RFC-690 Precision Trimmer Head – Size 1 & Size 2 Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-690-trimmer-size-1) - 12.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC-690](https://www.hatteker.co.uk/products/mains-power-charger-uk-plug-for-hatteker-rfc-690-professional-hair-clipper) - 15.77 GBP
- [Hatteker USB Cable Charger For Hatteker RSCX-9608 Shaver Razor](https://www.hatteker.co.uk/products/usb-cable-lead-travel-charger-for-hatteker-rscx-9608-rscx-9608-shaver-razor) - 11.99 GBP
- [HATTEKER USB Charger Cable for RFC-690 / RFC-588 / RFC-598 / RFC-692 / RFC-696 – Replacement Charging Cable for Hatteker Trimmers](https://www.hatteker.co.uk/products/hatteker-usb-charger-cable-multi-model-rfc-series) - 11.99 GBP
- [Hatteker Replacement Foil Shaver Head for RSCW-7800 – Precision Foil Cutter Spare Part](https://www.hatteker.co.uk/products/hatteker-rscw-7800-replacement-foil-head) - 11.99 GBP
- [Hatteker Replacement Foil Shaver Head for RSCW-767 – Precision Foil Cutter Spare Part](https://www.hatteker.co.uk/products/hatteker-rscw-767-replacement-foil-head) - 12.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer RFC-690](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-comb-rfc-69031) - 9.98 GBP
- [Hatteker Replacement Clipper Blade for RFC-696 A/B/C/F/H/T – Precision Ceramic Cutter](https://www.hatteker.co.uk/products/hatteker-rfc-696-replacement-blade) - 13.99 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-9598A](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-9598a) - 12.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Clipper RFC-676](https://www.hatteker.co.uk/products/hatteker-usb-charger-cable-for-hatteker-clipper-rfc-676) - 10.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit Comb 6 PCS Combs For HATTEKER RFC-695](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-comb-hatteker-ipx7) - 13.99 GBP
- [HATTEKER Medium Precision Trimmer Head RFC-588 – Balanced Micro Shaver Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-588-medium-precision-trimmer-head) - 12.99 GBP
- [HATTEKER USB Charger For Hatteker RFC-690](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69031) - 11.99 GBP
- [8 Pack Hair Clipper Limit Guide Combs Replacement Guards Set Attachment](https://www.hatteker.co.uk/products/8-pack-hair-clipper-limit-guide-combs-replacement-guards-set-attachment) - 16.99 GBP
- [HATTEKER RFC-69231 Replacement Comb Set 7 PCS Adjustable Guide Guards for Hair Clipper & Beard Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-69231-replacement-comb-set-guide-guards) - 13.99 GBP
- [HATTEKER Replacement Foil RFC-59805](https://www.hatteker.co.uk/products/hatteker-replacement-foil-rfc-598) - 12.89 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-9608](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-9598a-1) - 12.99 GBP
- [Hatteker RFC-692A Ceramic Replacement Blade Cutter – Precision Clipper Head](https://www.hatteker.co.uk/products/hatteker-rfc-692a-ceramic-replacement-blade-cutter) - 12.99 GBP
- [HATTEKER USB Charger for RFC-598 – Replacement Charging Cable for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-598-usb-charger-replacement) - 11.99 GBP
- [HATTEKER Replacement Blade Hatteker RSCX-960804 blue](https://www.hatteker.co.uk/products/replacement-blade-hatteker-rscx-960804-blue) - 12.99 GBP
- [HATTEKER USB CHARGER FOR HATTEKER RFC 696 A/B/C/F/H/T](https://www.hatteker.co.uk/products/copy-of-usb-charger-for-hatteker-rfc-696) - 11.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC-696 Hair Clipper](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-696-hair-clipper) - 11.99 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-960804](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-960804) - 12.99 GBP
- [HATTEKER Precision Trimmer & Micro Shaver Head (Large) for RFC-598 – Replacement Detail Grooming Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-598-precision-trimmer-micro-shaver-large-replacement) - 12.99 GBP
- [Oil Professional Clipper & Trimmers 125ml](https://www.hatteker.co.uk/products/oil-professional-clipper-trimmers-125ml) - 35.0 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-7568](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-7568) - 12.99 GBP
- [HATTEKER USB Charger For Hatteker RFC-690](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69001) - 11.99 GBP
- [HATTEKER USB And Plug Charger RFC-690 Fast and Reliable Head Charger Compatible for Hatteker Trimmer RFC-690](https://www.hatteker.co.uk/products/hatteker-usb-and-plug-charger-fast-and-reliable-head-charger-compatible-for-hatteker-trimmer-rfc-690) - 15.99 GBP
- [HATTEKER Comb Set 5PCS for RFC-598 – Adjustable Guide Combs Replacement Kit for Precise Hair Length Control](https://www.hatteker.co.uk/products/hatteker-rfc-598-comb-set-5pcs-adjustable-guide-comb) - 15.99 GBP
- [HATTEKER Comb Set Guide 4 PCS HATTEKER RFC-5618](https://www.hatteker.co.uk/products/hatteker-comb-set-guide-4-pcs-hatteker-rfc-5618) - 13.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Trimmer RFC-5918](https://www.hatteker.co.uk/products/usb-cable-charger-for-hatteker-rfc-5918-trimmer) - 11.99 GBP
- [HATTEKER Replacement Precision Trimmer Micro Shaver  for RFC-5618](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-for-rfc-5618) - 12.99 GBP
- [HATTEKER USB Charger For Hatteker Model SK-532](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-model-sk-532) - 8.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Trimmer RFC-691](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69102) - 11.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for RFC-69231 – Precision Clipper Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-69231-ceramic-replacement-blade) - 9.99 GBP
- [HATTEKER Replacement Foil RSCW-2018](https://www.hatteker.co.uk/products/hatteker-replacement-foil-rscw-2018) - 12.99 GBP
- [HATTEKER Precision Trimmer Head Size 2 for RFC-598 – Replacement Detail Trimming Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-598-precision-trimmer-head-size-2-replacement) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RSCW-767](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rscw-767) - 11.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC-69231](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69231) - 8.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-69231](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-2for-rfc-69231) - 12.99 GBP
- [HATTEKER USB Charger For Hatteker RFC-686](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-686) - 11.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer RFC-598](https://www.hatteker.co.uk/products/hatteker-rfc-598-adjustable-comb-small-medium-replacement) - 12.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for RFC-69503 – Precision Clipper Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-69503-ceramic-replacement-blade) - 9.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for Pet Clipper RFC-69002 – Precision Grooming Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-69002-pet-ceramic-replacement-blade) - 9.99 GBP
- [HATTEKER RFC-696 Comb Set 8 Pcs Multicolor Guide Adjustable Limit For Hatteker Clippe RFC-696 A/B/C/F/H/T](https://www.hatteker.co.uk/products/copy-of-comb-set-color-guide-adjustable-limit-comb-hatteker-rfc-696) - 15.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit HATTEKER RFC-69202](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-hatteker-rfc-69202) - 13.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC-696 A/B/C/F/H/T](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69203) - 8.99 GBP
- [HATTEKER Comb Set Black Guide Adjustable Limit Hatteker RFC-686](https://www.hatteker.co.uk/products/comb-set-black-guide-adjustable-limit-hatteker-rfc-686) - 12.99 GBP
- [Professional Hair Clipper Guide Combs, Replacement Guards Set, 8 Length Attachment](https://www.hatteker.co.uk/products/professional-hair-clipper-guide-combs-replacement-guards-set-8-color-8-length-attachment-guide-combs-great-fits-for-many-clippers-trimmers) - 16.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for RFC-676 – Precision Clipper Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-676-ceramic-replacement-blade) - 16.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 69202](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69202) - 8.99 GBP
- [8Pcs Universal Hair Clipper Limit Comb Guide Attachment Size](https://www.hatteker.co.uk/products/8pcs-universal-hair-clipper-limit-comb-guide-attachment-size) - 16.99 GBP
- [5V USB Charger Cord Replacement Shaver Power Adapter Power Cord Power Supply](https://www.hatteker.co.uk/products/merom-5v-usb-charger-cord-replacement-shaver-power-adapter-compatible-with-norelco-shavers-hq8505-5000-7000-series-power-cord-power-supply) - 20.99 GBP
- [Hatteker USB Cable Charger For Hatteker SK-630 Clipper](https://www.hatteker.co.uk/products/hatteker-usb-cable-charger-for-hatteker-sk-630-clipper) - 10.99 GBP
- [HATTEKER Replacement Beard Clipper Head Hatteker RFC-5618](https://www.hatteker.co.uk/products/hatteker-replacement-foil-head-shave-hatteker-rfc-589) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker SK-7569 TRIMMER](https://www.hatteker.co.uk/products/usb-cable-charger-for-hatteker-sk-7569-trimmer) - 10.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 69503](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69503) - 8.99 GBP
- [Hatteker RFC-690 Precision Trimmer Size 2 – Replacement Detail Grooming Head](https://www.hatteker.co.uk/products/rfc-690-precision-trimmer-size-2) - 12.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for RFC-69202 – Precision Clipper Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-69202-ceramic-replacement-blade) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RSCW-7800 Electric Shaver](https://www.hatteker.co.uk/products/usb-cable-lead-charger-for-hatteker-rscw-7800-electric-foil-shaver) - 11.99 GBP
- [Hatteker RFC-69031 Ceramic Replacement Blade Cutter for Hair Clipper](https://www.hatteker.co.uk/products/hatteker-rfc-69031-blade-cutter) - 9.99 GBP
- [Hatteker Ceramic Replacement Blade Cutter for RFC-686 – Precision Clipper Spare Part](https://www.hatteker.co.uk/products/hatteker-rfc-686-ceramic-replacement-blade) - 13.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 69002](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69002) - 8.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC-692A](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-692a) - 8.99 GBP
- [HATTEKER USB Charger For Hatteker RFC-69503](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69503) - 11.99 GBP
- [Precision Trimmer Head for Hatteker HT-609 – Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-ht-609-precision-trimmer-head) - 12.99 GBP
- [HATTEKER USB And Plug Charger RFC-598 Fast and Reliable Head Charger Compatible for Hatteker Trimmer RFC-598](https://www.hatteker.co.uk/products/hatteker-rfc-598-usb-charger-cable-plug-replacement) - 15.99 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-9800](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-9800) - 12.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC 696 A/B/C/F/H/T](https://www.hatteker.co.uk/products/copy-of-power-charger-uk-plug-for-hatteker-rfc-696) - 15.99 GBP
- [HATTEKER Replacement Foil Head Shave Hatteker RFC-591805](https://www.hatteker.co.uk/products/replacement-foil-head-shave-hatteker-rfc-591805) - 12.99 GBP
- [Hatteker RFC-588 Foil Shaver Replacement Head – Smooth Close Shave Attachment for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-foil-shaver) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC-692](https://www.hatteker.co.uk/products/usb-cable-charger-for-hatteker-rfc-692) - 11.99 GBP
- [HATTEKER Replacement Head Razor Rotary Shaver For Hatteker RSCX-9588/7571/9800/](https://www.hatteker.co.uk/products/hatteker-replacement-razor-shaver-hatteker-rscx-9588-7568-7571-9800-9608) - 14.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Shaver RSCX-7568](https://www.hatteker.co.uk/products/charger-for-hatteker-7568d-shaver) - 11.99 GBP
- [HATTEKER Comb Set Guide 3PCS HATTEKER SK-1608](https://www.hatteker.co.uk/products/comb-set-guide-3pcs-hatteker-sk-1608) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit HATTEKER RFC-69503](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-hatteker-rfc-69503) - 13.98 GBP
- [Beard Apron Trimming Catcher Cape for Men](https://www.hatteker.co.uk/products/beard-apron-trimming-catcher-cape-for-men) - 16.9 GBP
- [HATTEKER Comb Set Guide 5 PCS HATTEKER RFC-5618](https://www.hatteker.co.uk/products/hatteker-comb-set-guide-5pcs-hatteker-rfc-5618) - 12.99 GBP
- [HATTEKER Complete Grooming Upgrade Kit for RFC-598 – Comb Set + USB Charger + Precision, Nose & Foil Shaver Heads](https://www.hatteker.co.uk/products/hatteker-rfc-598-complete-grooming-upgrade-kit) - 33.99 GBP
- [Hatteker USB Cable Charger  TYPE-C For Trimmer Shaver Epilator](https://www.hatteker.co.uk/products/hatteker-usb-cable-charger-type-c-for-trimmer-shaver-epilator) - 11.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC-591805](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-591805) - 6.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer RFC-591805](https://www.hatteker.co.uk/products/comb-adjustable-limit-replacement-hatteker-rfc-591805) - 12.99 GBP
- [HATTEKER USB & Plug Charger for RFC-588 – Fast Charging Replacement Cable for Hatteker Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-usb-charger-cable-plug-replacement) - 15.99 GBP
- [HATTEKER Nose & Detail Trimmer Head for RFC-598 – Precision Replacement Attachment for Nose & Ear Grooming](https://www.hatteker.co.uk/products/hatteker-rfc-598-nose-trimmer-head-replacement) - 12.99 GBP
- [HATTEKER Replaced Beard comb 1-10mm Adjustable limit comb RFC-5917](https://www.hatteker.co.uk/products/hatteker-replaced-comb-adjustable-limit-comb-rfc-5917) - 6.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit HATTEKER RFC-69104](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-hatteker-rfc-69104) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit Comb HATTEKER Pet RFC 69002](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-comb-hatteker-rfc-69002) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RSCX-959A Trimmer](https://www.hatteker.co.uk/products/usb-cable-lead-charger-for-hatteker-rscx-959a-trimmer) - 11.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Shaver RSCX-7571](https://www.hatteker.co.uk/products/usb-cable-lead-charger-for-hatteker-rscx-7571-shaver-razor-trimmer) - 11.99 GBP
- [Adjustable Guide Comb for Hatteker HT-609 – Replacement Limit Comb Attachment](https://www.hatteker.co.uk/products/ht-609-guide-comb) - 11.99 GBP
- [USB Charging Cable for Hatteker HT-609 – Replacement Power Cord](https://www.hatteker.co.uk/products/hatteker-ht609-usb-charging-cable-replacement) - 9.99 GBP
- [Hatteker HT-609 Guide Comb Set – 6 PCS Replacement Clipper Guards](https://www.hatteker.co.uk/products/hatteker-ht-609-guide-comb-set-6pcs) - 13.99 GBP
- [HATTEKER Replacement Nose Foil Cutter RFC-588 – Precision Nose Hair Trimmer Blade Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-588-nose-foil-replacement) - 9.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Shaver RSCX-960804](https://www.hatteker.co.uk/products/hatteker-usb-cable-charger-for-rscx-9598) - 11.99 GBP
- [HATTEKER USB Charger For Hatteker Epilator Women KD-200](https://www.hatteker.co.uk/products/charger-for-hatteker-7568d-shaver-1) - 11.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 69102](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69102) - 10.54 GBP
- [Hatteker HT-602 Triple Foil Replacement Head for Electric Shaver](https://www.hatteker.co.uk/products/hatteker-ht-602-triple-foil-head) - 12.99 GBP
- [Foil Shaver Replacement Head for Hatteker RFC-598 – Precision Foil Blade Spare Part for Smooth Shaving](https://www.hatteker.co.uk/products/hatteker-rfc-598-foil-shaver-replacement-head) - 12.99 GBP
- [HATTEKER Fast and Reliable Head Charger USB Type Compatible for Hatteker Products (EU Plug)](https://www.hatteker.co.uk/products/hatteker-fast-and-reliable-head-charger-usb-type-compatible-for-hatteker-products-euplug) - 7.99 GBP
- [HATTEKER Replacement Blade Ceramic Cutter For Hatteker Clipper RFC-69502](https://www.hatteker.co.uk/products/hatteker-ceramic-replacement-clipper-blade-cutter-rfc-69502) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit Hatteker RFC-69102](https://www.hatteker.co.uk/products/comb-set-black-guide-adjustable-limit-hatteker-rfc-69102) - 11.54 GBP
- [Replacement Blade Hatteker RFC-690](https://www.hatteker.co.uk/products/replacement-blade-hatteker-rfc-690) - 10.99 GBP
- [HATTEKER Small Precision Trimmer Head RFC-588 – Carving Detail Blade for Sharp Edges & Fine Grooming](https://www.hatteker.co.uk/products/hatteker-rfc-588-small-precision-trimmer-head) - 12.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC-598](https://www.hatteker.co.uk/products/mains-power-charger-uk-plug-for-hatteker-rfc-598-rfc-598-beard-trimmer) - 15.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Shaver RSCX-9800](https://www.hatteker.co.uk/products/usb-cable-lead-charger-for-hatteker-rscx-9800-9800l-rscx-9800-l-womens-shaver) - 11.99 GBP
- [Hatteker HT-609 Micro Shaver Head Large Replacement for Electric Trimmer](https://www.hatteker.co.uk/products/hatteker-ht-609-shaver-head) - 12.99 GBP
- [HATTEKER Fast and Reliable Head Charger USB Type Compatible for Hatteker Products  (US Plug)](https://www.hatteker.co.uk/products/hatteker-fast-and-reliable-head-charger-usb-type-compatible-for-hatteker-products-us-plug) - 7.99 GBP
- [HATTEKER Replacement Foil Shaver For Hatteker RSCW-7699](https://www.hatteker.co.uk/products/hatteker-replacement-foil-rscw-7699) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit HATTEKER RFC-591805](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-hatteker-rfc-591805) - 13.58 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB RFC 69104](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-69104) - 8.98 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-69104](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-69104) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RSCX-7568 Beard Trimmer](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rscx-7568-beard-trimmer) - 11.99 GBP
- [Hatteker USB Cable Charger For Hatteker  RFC-6618 Trimmer](https://www.hatteker.co.uk/products/usb-cable-lead-travel-charger-for-hatteker-pro-rfc-6618-rfc-6618-rfc6618-trimmer) - 11.99 GBP
- [Beard Clipper Head for Hatteker HT-609 – Replacement Blade Attachment](https://www.hatteker.co.uk/products/hatteker-ht-609-beard-clipper-head) - 12.99 GBP
- [HATTEKER Hard Travel Case for Beard Trimmer RFC-690](https://www.hatteker.co.uk/products/co2crea-storage-travel-hard-case-for-hatteker-professional-hair-clipper-cordless-clippershair-trimmer-beard-shaver-hatteker-rfc-690-black-case-only-shaver-is-not-included) - 33.99 GBP
- [HATTEKER Fast and Reliable Head Charger USB Type Compatible for Hatteker Products](https://www.hatteker.co.uk/products/hatteker-fast-and-reliable-head-charger-usb-type-compatible-for-hatteker-products-uk-plug) - 7.99 GBP
- [HATTEKER SK-532 Comb Set 8 Pcs Multicolor Guide Adjustable Limit For Hatteker Clipper SK-532](https://www.hatteker.co.uk/products/set-color-guide-adjustable-limit-comb-hatteker-rfc-686) - 15.99 GBP
- [HATTEKER Replacement Blade,Precision Trimmer,Comb,Cable USB  RFC 591605](https://www.hatteker.co.uk/products/replacement-blade-precision-trimmer-comb-cable-usb-rfc-591605) - 8.99 GBP
- [Back View 360 Mirror Self Cut](https://www.hatteker.co.uk/products/back-view-360-mirror-self-cut) - 32.99 GBP
- [ENGLISH FLAG Barber Cape Hair Cutting Cape Waterproof Professional](https://www.hatteker.co.uk/products/english-flag-barber-cape-hair-cutting-cape-waterproof-professional) - 16.99 GBP
- [Hair Scissors Set Hairdresser , Barbers or Home Use - Stainless Steel](https://www.hatteker.co.uk/products/hair-scissors-set-hairdresser-pet-shearing-scissors-barbers-or-home-use-stainless-steel) - 13.96 GBP
- [Hair Cutting Cloak Umbrella Cape](https://www.hatteker.co.uk/products/hair-cutting-cloak-umbrella-cape) - 14.85 GBP
- [Precision Trimmer Head Medium for Hatteker HT-609 – Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-ht-609-medium-precision-trimmer-head) - 12.99 GBP
- [HATTEKER Fast and Reliable Head Charger USB Type Compatible for Hatteker Products  (UK Plug)](https://www.hatteker.co.uk/products/hatteker-fast-and-reliable-head-charger-usb-type-compatible-for-hatteker-products-uk-plug-1) - 7.99 GBP
- [HATTEKER Replacement Head Razor Shaver For Hatteker Shaver RSCX-7571](https://www.hatteker.co.uk/products/hatteker-replacement-head-razor-shaver-for-hatteker-shaver-rscx-7571) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit Comb HATTEKER SK113](https://www.hatteker.co.uk/products/comb-set-guide-adjustable-limit-comb-hatteker-sk113) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-69231](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-69231) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-591605](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-591605) - 12.99 GBP
- [HATTEKER Replacement Foil Head Shave Hatteker RFC-591605](https://www.hatteker.co.uk/products/replacement-foil-head-shave-hatteker-rfc-591605) - 12.99 GBP
- [HATTEKER Comb Set Guide Adjustable Limit HATTEKER RFC 591605](https://www.hatteker.co.uk/products/copy-of-comb-set-guide-adjustable-limit-hatteker-rfc-591605) - 13.58 GBP
- [HATTEKER USB Charger For Hatteker RFC-69002](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69002) - 11.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Trimmer RFC-698](https://www.hatteker.co.uk/products/usb-cable-lead-charger-for-hatteker-rfc-698-rfc-698-beard-trimmer) - 11.99 GBP
- [HATTEKER RFC-588 Replacement Comb Set 6 PCS – Adjustable Guide Combs for Trimmer](https://www.hatteker.co.uk/products/hatteker-rfc-588-comb-set) - 17.99 GBP
- [Guide Comb Set for Hatteker HT-609 – 4PCS Replacement Guards](https://www.hatteker.co.uk/products/hatteker-ht-609-guide-comb-set) - 11.99 GBP
- [USB Charging Cable for Hatteker RFC-692A – Replacement Power Cord](https://www.hatteker.co.uk/products/hatteker-rfc-692a-usb-charging-cable-replacement) - 9.99 GBP
- [RFC-695 - Replacement Comb (Pack of 40)](https://www.hatteker.co.uk/products/rfc-695-replacement-comb-3mm-pack-of-50) - 69.0 GBP
- [HATTEKER Replacement Foil Cute Nose For Hatteker Trimmer RFC-5618](https://www.hatteker.co.uk/products/hatteker-replacement-foil-cute-nose-for-hatteker-trimmer-rfc-5816) - 12.99 GBP
- [HATTEKER Replacement Body Trimmer Head for RFC-5618](https://www.hatteker.co.uk/products/hatteker-replacement-body-trimmer-head-for-rfc-5918) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC-5618](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-692a) - 11.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC 591605](https://www.hatteker.co.uk/products/power-charger-uk-plug-for-hatteker-rfc-591605) - 15.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 3 for RFC 591605](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-3-for-rfc-591605) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC 591605](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-591605) - 11.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC-591805](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-591805) - 11.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-591805](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-2-for-rfc-591805) - 12.99 GBP
- [HATTEKER Replacement Foil Head Shave Hatteker RFC-5917](https://www.hatteker.co.uk/products/replacement-foil-head-shave-hatteker-rfc-5917) - 12.99 GBP
- [HATTEKER USB CHARGER FOR HATTEKER RFC-5917](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-5917) - 11.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-69104](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-2-for-rfc-69104) - 12.99 GBP
- [HATTEKER RFC-686 Comb Set 8 Pcs Multicolor Guide Adjustable Limit For Hatteker Clippe RFC-686](https://www.hatteker.co.uk/products/comb-set-color-guide-adjustable-limit-comb-hatteker-rfc-686) - 15.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC-890 Trimmer](https://www.hatteker.co.uk/products/usb-cable-lead-travel-charger-for-hatteker-rfc-890-rfc-890-trimmer) - 11.99 GBP
- [HATTEKER Ceramic Replacement Blade Cutter for Hatteker RFC-691 – Precision Clipper Blade Head](https://www.hatteker.co.uk/products/hatteker-rfc-691-ceramic-replacement-blade-cutter) - 9.99 GBP
- [HATTEKER Replacement Precision Trimmer Carving Head for RFC-5618](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-carving-head-for-rfc-5918) - 12.99 GBP
- [HATTEKER Hard Travel Case for Beard Trimmer RFC-690](https://www.hatteker.co.uk/products/hermitshell-hard-travel-case-for-hatteker-mens-beard-trimmer-cordless-hair-trimmer-hair-clipper-detail-trimmer-3-in-1) - 29.73 GBP
- [HATTEKER Replacement Clippers Blades for Hatteker k31s](https://www.hatteker.co.uk/products/hatteker-replacement-clippers-blades-for-hatteker-k31s) - 12.99 GBP
- [HATTEKER Replaced hair comb 11-20mm Adjustable limit comb RFC-5917](https://www.hatteker.co.uk/products/hatteker-replaced-hair-comb-11-20mm-adjustable-limit-comb-rfc-5917) - 13.99 GBP
- [Hatteker USB Cable Charger For Hatteker SK-1608](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-sk-1608) - 11.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 3 for RFC-591805](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-3-for-rfc-591805) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-591805](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-591805) - 12.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC-591805](https://www.hatteker.co.uk/products/power-charger-uk-plug-for-hatteker-rfc-5918) - 15.99 GBP
- [HATTEKER Precision Trimmer Head Small Size for RFC-598 Replacement Detail Grooming Attachment](https://www.hatteker.co.uk/products/hatteker-rfc-598-precision-trimmer-head-small-replacement) - 12.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer RFC-69503](https://www.hatteker.co.uk/products/comb-adjustable-limit-replacement-hatteker-rfc-69503) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-69503](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-2-for-rfc-69503) - 12.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer  RFC-69104](https://www.hatteker.co.uk/products/comb-adjustable-limit-replacement-hatteker-rfc-69104) - 12.99 GBP
- [HATTEKER Replacement Clippers Blades for Hatteker RFC-69102](https://www.hatteker.co.uk/products/replacement-clippers-blades-for-hatteker-rfc-69102) - 10.45 GBP
- [2 Pieces Hairdressing Cape Salon Barber Cape Waterproof](https://www.hatteker.co.uk/products/2-pieces-hairdressing-cape-salon-barber-cape-waterproof) - 15.99 GBP
- [Karlling Hairdressing Salon Cape Hair  Cutting Gown Barbers](https://www.hatteker.co.uk/products/karlling-hairdressing-salon-cape-hair-cutting-gown-barbers) - 12.99 GBP
- [Hatteker RFC-588 Replacement Kit  – Comb Guards & Precision Trimmer Head Bundle](https://www.hatteker.co.uk/products/hatteker-rfc-588-replacement-kit-uk-comb-guards-precision-trimmer-head-bundle) - 41.97 GBP
- [Hatteker RFC-690 Replacement Kit – Blade, Comb Set & Charger Bundle](https://www.hatteker.co.uk/products/hatteker-rfc-690-replacement-kit-uk-blade-comb-set-charger-bundle) - 37.97 GBP
- [Nose Trimmer Head for Hatteker HT-609 – Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-ht-609-nose-trimmer-head) - 12.99 GBP
- [Precision Trimmer Head Small for Hatteker HT-609 – Replacement Attachment](https://www.hatteker.co.uk/products/hatteker-ht-609-small-precision-trimmer-head) - 12.99 GBP
- [Hair Apron Professional Black Haircut Shawl Hairdressing Cape](https://www.hatteker.co.uk/products/hair-apron-professional-black-haircut-shawl-hairdressing-cape) - 16.21 GBP
- [Wahl Premium Hair Clipper Blade Lubricating Oil for Clippers, Trimmers, & Blade Corrosion for Rust Prevention – 4 Fluid Ounces](https://www.hatteker.co.uk/products/wahl-premium-hair-clipper-blade-lubricating-oil-for-clippers-trimmers-blade-corrosion-for-rust-prevention-4-fluid-ounces-model-3310-300a) - 4.72 GBP
- [HATTEKER Travel Case for Hair Clipper RFC-588](https://www.hatteker.co.uk/products/hermitshell-travel-case-for-hatteker-hair-clipper-beard-trimmer-kit-waterproof-usb-rechargeable-5-in-1) - 29.94 GBP
- [Hatteker USB Cable Charger For Hatteker K31S CLIPPER](https://www.hatteker.co.uk/products/hatteker-usb-cable-charger-for-hatteker-k31s-clipper) - 10.99 GBP
- [Hatteker USB Cable Charger For Hatteker SK-113](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-sk-113) - 11.99 GBP
- [HATTEKER Replacement Limit Comb Adjustable For Hatteker Trimmer RFC-69231](https://www.hatteker.co.uk/products/comb-adjustable-limit-replacement-hatteker-rfc-69231) - 12.99 GBP
- [HATTEKER USB CHARGER FOR HATTEKER RFC 69231](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69231) - 11.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC 69231](https://www.hatteker.co.uk/products/power-charger-uk-plug-for-hatteker-rfc-69231) - 15.99 GBP
- [Hatteker USB Cable Charger For Hatteker RFC 69202](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69202) - 11.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC 69202](https://www.hatteker.co.uk/products/power-charger-uk-plug-for-hatteker-rfc-69202) - 15.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-591605](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-591606) - 12.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC- 5917](https://www.hatteker.co.uk/products/power-charger-uk-plug-for-hatteker-rfc-5917) - 15.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 2 for RFC-5917](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-2-for-rfc-5917) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-5917](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-5917) - 12.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 1 for RFC-69503](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-1-for-rfc-69503) - 12.99 GBP
- [HATTEKER USB Charger Cable For Hatteker Trimmer RFC-69104](https://www.hatteker.co.uk/products/usb-charger-for-hatteker-rfc-69104) - 11.99 GBP
- [HATTEKER Replacement Precision Trimmer Size 3 for RFC-69104](https://www.hatteker.co.uk/products/hatteker-replacement-precision-trimmer-size-3-for-rfc-69104) - 12.99 GBP
- [Hatteker USB Cable Charger For Hatteker RSCW-7699 Trimmer](https://www.hatteker.co.uk/products/usb-cable-charger-for-hatteker-rscw-7699-trimmer) - 11.99 GBP
- [Hatteker USB Cable Charger For Hatteker SK-525 TRIMMER](https://www.hatteker.co.uk/products/usb-cable-charger-for-hatteker-sk-525-trimmer) - 11.99 GBP
- [Hatteker Power Charger UK Plug For Hatteker RFC-698 Beadr Trimmer](https://www.hatteker.co.uk/products/mains-power-charger-uk-plug-for-hatteker-rfc-698-rfc-698-beard-trimmer-1) - 15.99 GBP
- [Hatteker USB Cable Charger For Hatteker  960802 ELECTRIC SHAVER RAZOR](https://www.hatteker.co.uk/products/usb-cable-lead-travel-charger-for-hatteker-mens-960802-electric-shaver-razor) - 11.99 GBP

---

> Source: [HATTEKER](https://www.hatteker.co.uk/collections/accessories-spare-parts)
> Updated: 2026-10-08
